Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666760 (CVE-2018-12383, CVE-2018-12385, MFSA-2018-23) - <www-client/firefox{,-bin}-60.2.1: multiple vulnerabilities (MFSA-2018-23)
Summary: <www-client/firefox{,-bin}-60.2.1: multiple vulnerabilities (MFSA-2018-23)
Status: RESOLVED FIXED
Alias: CVE-2018-12383, CVE-2018-12385, MFSA-2018-23
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-22 13:43 UTC by GLSAMaker/CVETool Bot
Modified: 2018-10-02 22:25 UTC (History)
2 users (show)

See Also:
Package list:
www-client/firefox-60.2.1-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-09-22 13:43:20 UTC
CVE-2018-12385 (https://nvd.nist.gov/vuln/detail/CVE-2018-12385):
  ** RESERVED ** This candidate has been reserved by an organization or
  individual that will use it when announcing a new security problem. When the
  candidate has been publicized, the details for this candidate will be
  provided.

CVE-2018-12383 (https://nvd.nist.gov/vuln/detail/CVE-2018-12383):
  ** RESERVED ** This candidate has been reserved by an organization or
  individual that will use it when announcing a new security problem. When the
  candidate has been publicized, the details for this candidate will be
  provided.


Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-09-22 13:45:56 UTC
CVE-2018-12385: Crash in TransportSecurityInfo due to cached data

Impact
    moderate

Description

A potentially exploitable crash in TransportSecurityInfo used for SSL can be triggered by data stored in the local cache in the user profile directory. This issue is only exploitable in combination with another vulnerability allowing an attacker to write data into the local cache or from locally installed malware. This issue also triggers a non-exploitable startup crash for users switching between the Nightly and Release versions of Firefox if the same profile is used.
References



CVE-2018-12383: Setting a master password post-Firefox 58 does not delete unencrypted previously stored passwords

Impact
    low

Description

If a user saved passwords before Firefox 58 and then later set a master password, an unencrypted copy of these passwords is still accessible. This is because the older stored password file was not deleted when the data was copied to a new format starting in Firefox 58. The new master password is added only on the new file. This could allow the exposure of stored password data outside of user expectations.
References
Comment 2 Thomas Deutschmann gentoo-dev Security 2018-09-27 16:47:15 UTC
@ Arches,

please test and mark stable: =www-client/firefox-60.2.1-r1

Don't forget to remove package.stable.use.mask for USE=clang once you have stabilized =sys-devel/lld-6.0.1 as part of bug 667168.
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-10-01 11:35:59 UTC
x86 stable
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-10-02 08:26:41 UTC
amd64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-10-02 09:01:11 UTC
Repository is clean.

New GLSA request filed.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2018-10-02 22:25:45 UTC
This issue was resolved and addressed in
 GLSA 201810-01 at https://security.gentoo.org/glsa/201810-01
by GLSA coordinator Thomas Deutschmann (whissi).